For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • GETList
      • POSTCreate
      • GETGet
      • DELDelete
      • PATCHUpdate
LogoLogo
Sign inBook a demo
APIDirectories

List

GET
https://api.humanloop.com/v5/directories
GET
/v5/directories
$curl https://api.humanloop.com/v5/directories \
> -H "X-API-KEY: <apiKey>"
1[
2 {
3 "id": "id",
4 "name": "name",
5 "path": "path",
6 "tags": [
7 "tags"
8 ],
9 "created_at": "2024-01-15T09:30:00Z",
10 "updated_at": "2024-01-15T09:30:00Z",
11 "parent_id": "parent_id",
12 "description": "description",
13 "readme": "readme"
14 }
15]
Retrieve a list of all Directories.
Was this page helpful?
Previous

Create

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Response

Successful Response
idstring

String ID of directory. Starts with dir_.

namestring
Name of the directory.
pathstring

Path to the directory, relative to the root directory. Includes name, e.g. path/to/directory.

tagslist of strings
List of tags associated with the directory.
created_atdatetime
updated_atdatetime
parent_idstring

ID of the parent directory. Will be None if the directory is the root directory. Starts with dir_.

descriptionstring
Description of the directory.
readmestring
Long description of the directory.

Errors

422
List Directories Get Request Unprocessable Entity Error